<s-svg id="ssvg">
  <svg width="100%" xmlns="http://www.w3.org/2000/svg" height="40%">
    <state id="state">
      <property name="range" min="0" max="100" type="number" initial="0">
        <relation query-selector='#ex1' attribute-name='width' from='0%' to='100%' />
        <relation query-selector='#ex1' attribute-name='stroke' from='black' to='blue' />
      </property>
    </state>
    <rect id="ex1" height="5%" />
  </svg>
</s-svg>
